%define python_compile_opt python -O -c "import compileall; compileall.compile_dir('.')"
%define python_compile     python -c "import compileall; compileall.compile_dir('.')"

Name:           canto
Version:        0.7.10
Release:        %mkrel 11
Summary:        An Atom/RSS feed reader for the console
Group:          Networking/News
License:        GPLv2+
URL:            http://codezen.org/canto/
Source:         http://codezen.org/static/%{name}-%{version}.tar.gz
Requires:	python-chardet
Requires:	python-feedparser
Requires:       xclip
BuildRequires:  python-devel
BuildRequires:  ncurses-devel
BuildRequires:  python-feedparser
BuildRequires:  python-chardet
BuildRequires:  ncursesw-devel

%description
Canto is an Atom/RSS feed reader for the console that is meant to be quick,
concise, and colorful. It's meant to allow you to crank through feeds like
you've never cranked before by providing a minimal, yet information packed
interface. No navigating menus. No dense blocks of unreadable white text.
An interface with almost infinite customization and extensibility using the
excellent Python programming language.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --prefix=%_prefix --root=%buildroot --no-compile
dir -d %{buildroot}%{py_platsitedir}/%{name}
%python_compile_opt
%python_compile
install *.pyc *.pyo %{buildroot}%{py_platsitedir}/%{name}

%files
%doc ChangeLog COPYING README
%{py_platsitedir}/%{name}/*.py
%{py_platsitedir}/%{name}/*.pyc
%{py_platsitedir}/%{name}/*.pyo
%{py_platsitedir}/%{name}/cfg/*.py*
%{py_platsitedir}/%{name}/widecurse.so
%{py_platsitedir}/Canto-%{version}-py%{pyver}.egg-info
%_bindir/%{name}*
%_datadir/man/man1/%{name}*.1.*



%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.7.10-11.mga6
+ Revision: 939527
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.10-10.mga5
+ Revision: 750328
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7.10-9.mga5
+ Revision: 726017
- rebuild for missing pythoneggs deps

* Thu Sep 18 2014 umeabot <umeabot> 0.7.10-8.mga5
+ Revision: 693572
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.7.10-7.mga5
+ Revision: 678307
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.7.10-6.mga5
+ Revision: 628127
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.7.10-5.mga4
+ Revision: 544891
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.10-4.mga4
+ Revision: 500470
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jan 11 2013 umeabot <umeabot> 0.7.10-3.mga3
+ Revision: 347390
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 02 2011 kharec <kharec> 0.7.10-2.mga2
+ Revision: 161479
- imported package canto

